org.jgrapht.generate

## Class SimpleWeightedGraphMatrixGenerator<V,E>

- java.lang.Object
- - org.jgrapht.generate.WeightedGraphGeneratorAdapter<V,E,V>
  - - org.jgrapht.generate.SimpleWeightedGraphMatrixGenerator<V,E>

- All Implemented Interfaces:
    GraphGenerator<V,E,V>

      public class SimpleWeightedGraphMatrixGenerator<V,E>
      extends WeightedGraphGeneratorAdapter<V,E,V>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<V>` | `vertices`

    - ### Fields inherited from class org.jgrapht.generate.WeightedGraphGeneratorAdapter

      `weights`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleWeightedGraphMatrixGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateGraph(WeightedGraph<V,E> target, VertexFactory<V> vertexFactory, Map<String,V> resultMap)`
    `static int[]` | `range(int from, int to)`
    `SimpleWeightedGraphMatrixGenerator<V,E>` | `vertices(List<V> vertices)`

    - ### Methods inherited from class org.jgrapht.generate.WeightedGraphGeneratorAdapter

      `generateGraph, weights`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### vertices

          protected List<V> vertices

  - ### Constructor Detail

    - #### SimpleWeightedGraphMatrixGenerator

          public SimpleWeightedGraphMatrixGenerator()

  - ### Method Detail

    - #### range

          public static int[] range(int from,
                    int to)

    - #### vertices

          public SimpleWeightedGraphMatrixGenerator<V,E> vertices(List<V> vertices)

    - #### generateGraph

          public void generateGraph(WeightedGraph<V,E> target,
                           VertexFactory<V> vertexFactory,
                           Map<String,V> resultMap)

      Specified by:
        `generateGraph` in class `WeightedGraphGeneratorAdapter<V,E,V>`

Copyright © 2016. All rights reserved.